package com.ejie.p06b.datatype.logic;

import java.io.Serializable;
import java.util.ArrayList;

import com.ejie.p06b.datatype.model.P06B32T00Datatype;
import com.ejie.p06b.datatype.model.P06B35T00Datatype;
import com.ejie.p06b.datatype.model.P06B37T00Datatype;
import com.ejie.p06b.datatype.model.P06B39T00Datatype;
import com.ejie.p06b.datatype.model.P06B40T00Datatype;
import com.ejie.p06b.datatype.model.P06B45T00Datatype;
import com.ejie.p06b.datatype.model.P06B48T00Datatype;
import com.ejie.p06b.datatype.model.P06B49T00Datatype;
import com.ejie.p06b.datatype.model.P06B50T00Datatype;
import com.ejie.p06b.datatype.model.P06B51T00Datatype;
import com.ejie.p06b.datatype.model.P06B52T00Datatype;
import com.ejie.p06b.datatype.model.P06B53T00Datatype;

/**
 * Fecha de creación: (06/07/2010)
 */
public class P06BDECModelos12jun2010 implements Serializable {

	/**
	 * @return Returns the mod01y02.
	 */
	public P06B32T00Datatype getMod01y02() {
		return mod01y02;
	}
	/**
	 * @param mod01y02 The mod01y02 to set.
	 */
	public void setMod01y02(P06B32T00Datatype mod01y02) {
		this.mod01y02 = mod01y02;
	}
	
	/**
	 * @return Returns the listaMod02Socios.
	 */
	public ArrayList getListaMod02Socios() {
		return listaMod02Socios;
	}
	/**
	 * @param listaMod02Socios The listaMod02Socios to set.
	 */
	public void setListaMod02Socios(ArrayList listaMod02Socios) {
		this.listaMod02Socios = listaMod02Socios;
	}

	/**
	 * @return Returns the listaMod02Cargos.
	 */
	public ArrayList getListaMod02Cargos() {
		return listaMod02Cargos;
	}
	/**
	 * @param listaMod02Cargos The listaMod02Cargos to set.
	 */
	public void setListaMod02Cargos(ArrayList listaMod02Cargos) {
		this.listaMod02Cargos = listaMod02Cargos;
	}

	/**
	 * @return Returns the mod1Sedes.
	 */
	//public P06B35T00Datatype getMod1Sedes() {
		//return mod1Sedes;
	//}
	/**
	 * @param mod1Sedes The mod1Sedes to set.
	 */
	//public void setMod1Sedes(P06B35T00Datatype mod1Sedes) {
		//this.mod1Sedes = mod1Sedes;
	//}
	
	/**
	 * @return Returns the listaMod1MedPer.
	 */
	public ArrayList getListaMod1MedPer() {
		return listaMod1MedPer;
	}
	/**
	 * @param listaMod1MedPer The listaMod1MedPer to set.
	 */
	public void setListaMod1MedPer(ArrayList listaMod1MedPer) {
		this.listaMod1MedPer = listaMod1MedPer;
	}

	/**
	 * @return Returns the mod21.
	 */
	public P06B37T00Datatype getMod21() {
		return mod21;
	}
	/**
	 * @param mod21 The mod21 to set.
	 */
	public void setMod21(P06B37T00Datatype mod21) {
		this.mod21 = mod21;
	}
	
	/**
	 * @return Returns the listaMod22.
	 */
	public ArrayList getListaMod22() {
		return listaMod22;
	}
	/**
	 * @param listaMod22 The listaMod22 to set.
	 */
	public void setListaMod22(ArrayList listaMod22) {
		this.listaMod22 = listaMod22;
	}

	/**
	 * @return Returns the mod23.
	 */
	public P06B39T00Datatype getMod23() {
		return mod23;
	}
	/**
	 * @param mod23 The mod23 to set.
	 */
	public void setMod23(P06B39T00Datatype mod23) {
		this.mod23 = mod23;
	}

	/**
	 * @return Returns the mod3.
	 */
	//public P06B40T00Datatype getMod3() {
		//return mod3;
	//}
	/**
	 * @param mod3 The mod3 to set.
	 */
	//public void setMod3(P06B40T00Datatype mod3) {
		//this.mod3 = mod3;
	//}
	
	/**
	 * @return Returns the justifAdjuntos.
	 */
	public ArrayList getJustifAdjuntos() {
		return justifAdjuntos;
	}
	/**
	 * @param justifAdjuntos The justifAdjuntos to set.
	 */
	public void setJustifAdjuntos(ArrayList justifAdjuntos) {
		this.justifAdjuntos = justifAdjuntos;
	}

	/**
	 * @return Returns the obj45Mod1SedeProf.
	 */
	public P06B45T00Datatype getObj45Mod1SedeProf() {
		return obj45Mod1SedeProf;
	}
	/**
	 * @param obj45Mod1SedeProf The obj45Mod1SedeProf to set.
	 */
	public void setObj45Mod1SedeProf(P06B45T00Datatype obj45Mod1SedeProf) {
		this.obj45Mod1SedeProf = obj45Mod1SedeProf;
	}

	/**
	 * @return Returns the listaObjs43Mod0EntVinc.
	 */
	public ArrayList getListaObjs43Mod0EntVinc() {
		return listaObjs43Mod0EntVinc;
	}
	/**
	 * @param listaObjs43Mod0EntVinc The listaObjs43Mod0EntVinc to set.
	 */
	public void setListaObjs43Mod0EntVinc(ArrayList listaObjs43Mod0EntVinc) {
		this.listaObjs43Mod0EntVinc = listaObjs43Mod0EntVinc;
	}

	/**
	 * @return Returns the listaObjs44Mod0EntCred.
	 */
	public ArrayList getListaObjs44Mod0EntCred() {
		return listaObjs44Mod0EntCred;
	}
	/**
	 * @param listaObjs44Mod0EntCred The listaObjs44Mod0EntCred to set.
	 */
	public void setListaObjs44Mod0EntCred(ArrayList listaObjs44Mod0EntCred) {
		this.listaObjs44Mod0EntCred = listaObjs44Mod0EntCred;
	}

	/**
	 * @return Returns the listaObjs46Mod1Sucur.
	 */
	public ArrayList getListaObjs46Mod1Sucur() {
		return listaObjs46Mod1Sucur;
	}
	/**
	 * @param listaObjs46Mod1Sucur The listaObjs46Mod1Sucur to set.
	 */
	public void setListaObjs46Mod1Sucur(ArrayList listaObjs46Mod1Sucur) {
		this.listaObjs46Mod1Sucur = listaObjs46Mod1Sucur;
	}

	/**
	 * @return Returns the listaObjs47Mod21PrimPorEnt.
	 */
	public ArrayList getListaObjs47Mod21PrimPorEnt() {
		return listaObjs47Mod21PrimPorEnt;
	}
	/**
	 * @param listaObjs47Mod21PrimPorEnt The listaObjs47Mod21PrimPorEnt to set.
	 */
	public void setListaObjs47Mod21PrimPorEnt(ArrayList listaObjs47Mod21PrimPorEnt) {
		this.listaObjs47Mod21PrimPorEnt = listaObjs47Mod21PrimPorEnt;
	}

	/**
	 * @return Returns the obj48Mod3InverValorAnad.
	 */
	public P06B48T00Datatype getObj48Mod3InverValorAnad() {
		return obj48Mod3InverValorAnad;
	}
	/**
	 * @param obj48Mod3InverValorAnad The obj48Mod3InverValorAnad to set.
	 */
	public void setObj48Mod3InverValorAnad(P06B48T00Datatype obj48Mod3InverValorAnad) {
		this.obj48Mod3InverValorAnad = obj48Mod3InverValorAnad;
	}

	/**
	 * @return Returns the obj53Mod3Vinc.
	 */
	public P06B53T00Datatype getObj53Mod3Vinc() {
		return obj53Mod3Vinc;
	}
	/**
	 * @param obj53Mod3Vinc The obj53Mod3Vinc to set.
	 */
	public void setObj53Mod3Vinc(P06B53T00Datatype obj53Mod3Vinc) {
		this.obj53Mod3Vinc = obj53Mod3Vinc;
	}

	/**
	 * @return Returns the obj49Mod31.
	 */
	public P06B49T00Datatype getObj49Mod31() {
		return obj49Mod31;
	}
	/**
	 * @param obj49Mod31 The obj49Mod31 to set.
	 */
	public void setObj49Mod31(P06B49T00Datatype obj49Mod31) {
		this.obj49Mod31 = obj49Mod31;
	}

	/**
	 * @return Returns the obj50Mod32.
	 */
	public P06B50T00Datatype getObj50Mod32() {
		return obj50Mod32;
	}
	/**
	 * @param obj50Mod32 The obj50Mod32 to set.
	 */
	public void setObj50Mod32(P06B50T00Datatype obj50Mod32) {
		this.obj50Mod32 = obj50Mod32;
	}

	/**
	 * @return Returns the obj51Mod33Activo.
	 */
	public P06B51T00Datatype getObj51Mod33Activo() {
		return obj51Mod33Activo;
	}
	/**
	 * @param obj51Mod33Activo The obj51Mod33Activo to set.
	 */
	public void setObj51Mod33Activo(P06B51T00Datatype obj51Mod33Activo) {
		this.obj51Mod33Activo = obj51Mod33Activo;
	}

	/**
	 * @return Returns the obj52Mod33Pasivo.
	 */
	public P06B52T00Datatype getObj52Mod33Pasivo() {
		return obj52Mod33Pasivo;
	}
	/**
	 * @param obj52Mod33Pasivo The obj52Mod33Pasivo to set.
	 */
	public void setObj52Mod33Pasivo(P06B52T00Datatype obj52Mod33Pasivo) {
		this.obj52Mod33Pasivo = obj52Mod33Pasivo;
	}
	
	/**
	 * @return Returns the objTotales.
	 */
	public P06BDECTotales12jun2010 getObjTotales() {
		return objTotales;
	}
	/**
	 * @param objTotales The objTotales to set.
	 */
	public void setObjTotales(P06BDECTotales12jun2010 objTotales) {
		this.objTotales = objTotales;
	}
	
	
	public boolean isPrevioAlSeguimiento() {
		return PrevioAlSeguimiento;
	}
	public void setPrevioAlSeguimiento(boolean PrevioAlSeguimiento) {
		this.PrevioAlSeguimiento = PrevioAlSeguimiento;
	}


	private P06B32T00Datatype mod01y02 = null;
	private ArrayList listaMod02Socios = new ArrayList();
	private ArrayList listaMod02Cargos = new ArrayList();
	//private P06B35T00Datatype mod1Sedes = null;
	private P06B45T00Datatype obj45Mod1SedeProf = null;
	private ArrayList listaMod1MedPer = new ArrayList();
	private P06B37T00Datatype mod21 = null;
	private ArrayList listaMod22 = new ArrayList();
	private P06B39T00Datatype mod23 = null;
	private ArrayList listaObjs43Mod0EntVinc = null;
	private ArrayList listaObjs44Mod0EntCred = null;
	private ArrayList listaObjs46Mod1Sucur = null;
	private ArrayList listaObjs47Mod21PrimPorEnt = null;
	private P06B48T00Datatype obj48Mod3InverValorAnad = null;
	//private P06B40T00Datatype mod3 = null;
	private P06B53T00Datatype obj53Mod3Vinc = null;
	private P06B49T00Datatype obj49Mod31 = null;
	private P06B50T00Datatype obj50Mod32 = null;
	private P06B51T00Datatype obj51Mod33Activo = null;
	private P06B52T00Datatype obj52Mod33Pasivo = null;
	
	private ArrayList justifAdjuntos = new ArrayList();
	
	private P06BDECTotales12jun2010 objTotales = null;
	private boolean PrevioAlSeguimiento = true;

	
}